#159 Special scanner options not correctly displayed after device change

v1.0_(example)
closed-fixed
nobody
None
5
2014-01-27
2013-05-30
No

Hi,

I have two devices recognized by gscan2pdf, an internal webcam and a network multifunctional scanner (and printer).

When I start gscan2pdf without parameters and open the dialog "Scan document", it opens the last selected device and correctly displays the device-dependent parameter tabs correctly.

Now choosing the second device from the list, gscan2pdf opens the device and refreshes the GUI, but it seems to always display the device-dependent parameters of the first device in the list (although I chose the second in the dropdown box). When I close gscan2pdf now, it will remember that the first device was selected (whether it was or not).

Only when I start gscan2pdf with the --device parameter I manage to get the correct device-dependent parameter tabs of the second device. If I don't change the device, on subsequent calls the tabs are correct, too.

Best regards,
Stephan

Related

Bugs: #159

Discussion

  • Jeffrey Ratcliffe

    This should have been fixed in v1.2.0. Can you confirm?

     
    • Stephan Ritscher

      Yes, it works like a charm. Thanks.

      On 27.01.2014 13:27, Jeffrey Ratcliffe wrote:

      This should have been fixed in v1.2.0. Can you confirm?


      [bugs:#159] http://sourceforge.net/p/gscan2pdf/bugs/159/ Special
      scanner options not correctly displayed after device change

      Status: open
      Created: Thu May 30, 2013 06:41 PM UTC by Stephan Ritscher
      Last Updated: Thu May 30, 2013 06:41 PM UTC
      Owner: nobody

      Hi,

      I have two devices recognized by gscan2pdf, an internal webcam and a
      network multifunctional scanner (and printer).

      When I start gscan2pdf without parameters and open the dialog "Scan
      document", it opens the last selected device and correctly displays
      the device-dependent parameter tabs correctly.

      Now choosing the second device from the list, gscan2pdf opens the
      device and refreshes the GUI, but it seems to always display the
      device-dependent parameters of the first device in the list (although
      I chose the second in the dropdown box). When I close gscan2pdf now,
      it will remember that the first device was selected (whether it was or
      not).

      Only when I start gscan2pdf with the --device parameter I manage to
      get the correct device-dependent parameter tabs of the second device.
      If I don't change the device, on subsequent calls the tabs are
      correct, too.

      Best regards,
      Stephan


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/gscan2pdf/bugs/159/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #159

  • Jeffrey Ratcliffe

    • status: open --> closed-fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks